Bug 444134 - Review Request: spe - Python IDE editor
Review Request: spe - Python IDE editor
Status: CLOSED DUPLICATE of bug 481022
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2008-04-25 06:20 EDT by MERCIER Jonathan
Modified: 2009-01-22 08:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-14 02:57:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description MERCIER Jonathan 2008-04-25 06:20:49 EDT
Spec URL: http://download.berlios.de/python/spe.spec
SRPM URL: http://download.berlios.de/python/spe-0.8.4.h-1.fc8.src.rpm
Description: SPE it is a Python IDE editor released

rpmlint rpmbuild/RPMS/noarch/spe-0.8.4.h-1.fc8.noarch.rpm 
spe.noarch: E: wrong-script-interpreter /usr/lib/python2.5/site-packages/spe/_spe/Blender_signature.py "BPY"
spe.noarch: E: wrong-script-interpreter /usr/lib/python2.5/site-packages/spe/_spe/spe_blender.py "BPY"
spe.noarch: E: wrong-script-interpreter /usr/lib/python2.5/site-packages/spe/_spe/winpdb_blender.py "BPY"

rpmlint does not recognize shebang #!BPY This shebang makes it
possible Blender to recognize script as a plugins
Comment 1 MERCIER Jonathan 2008-04-25 06:23:35 EDT
!BPY  It tells Blender that this is a Blender script, and therefore it will
consider it when scanning for scripts.
http://en.wikibooks.org/wiki/Blender_3D:_Noob_to_Pro/Advanced_Tutorials/Python_Scripting/Export_scripts
Comment 2 MERCIER Jonathan 2008-04-27 12:08:50 EDT
Is your first package, and i am seeking a sponsor
Comment 3 MERCIER Jonathan 2008-04-27 12:10:19 EDT
sorry, Is my first package, and i am seeking a sponsor

Comment 4 MERCIER Jonathan 2008-05-07 13:39:54 EDT
New version Bug correction:
Spec URL: http://download.berlios.de/python/spe.spec
SRPM URL: http://download.berlios.de/python/spe-0.8.4.h-0.2.fc8.src.rpm
I search a sponsor
Thanks
Comment 5 Mamoru TASAKA 2008-05-25 11:41:30 EDT
For 0.8.4.h-0.2:

! Release number
  - On Fedora rpm release number "0.X...." is for pre-release sources.
    http://fedoraproject.org/wiki/Packaging/NamingGuidelines

    For post-release sources, you should not use 0.X.
    However you may want to use 0.X as release number until this
    review is passed. In such case you can modify the release number
    after.

* License
------------------------------------------------------------
_spe/dialogs/stcStyleEditor.py		wxWindows (less strict than LGPLv2+)
_spe/doc/about.htm			GPLv2+
_spe/plugins/XRCed/			BSD
_spe/plugins/kiki/kiki.py		GPLv2+
_spe/plugins/pychecker2/symbols.py	python (GPL compatible)
_spe/plugins/winpdb/			GPLv2+
_spe/plugins/wxGlade			MIT
_spe/sm/wxp/				wxWindows
-------------------------------------------------------------
  - The license tag should be "GPLv2+"
    ! Note: simply putting GPLv3 license text does not mean that
            the software is under GPLv3. It just means that it is
            under GPL _at any version_:

* BuildRequies
  - "BuildRequires: python" is needed.
     Actually now python is not in default mock buildroot and without
     python the needed macro python_sitelib is not defined.

* symlinks
--------------------------------------------------------------
ln -s ../lib/python2.5/site-packages/%{name}/_spe/SPE.py
%{buildroot}%{_bindir}/%{name}
--------------------------------------------------------------
  - I guess the following is better:
--------------------------------------------------------------
ln -s $(echo %python_sitelib | sed -e 's|%{_prefix}|..|')/%{name}/_spe/SPE.py \
	%{buildroot}%{_bindir}/%{name}
--------------------------------------------------------------

* Timestamp
  - When using "cp" or "install" commands, add "-p" option to
    keep timestamps on installed files.

* Scriptlets
  - Well, I guess %_bindir/update-desktop-database merely fails,
    however for safety Fedora recommends to add "|| :"
    at the end;
    http://fedoraproject.org/wiki/Packaging/ScriptletSnippets

* rpmlint issues:
---------------------------------------------------------------
spe.noarch: E: wrong-script-interpreter
/usr/lib/python2.5/site-packages/spe/_spe/Blender_signature.py "BPY"
spe.noarch: E: wrong-script-interpreter
/usr/lib/python2.5/site-packages/spe/_spe/spe_blender.py "BPY"
spe.noarch: E: wrong-script-interpreter
/usr/lib/python2.5/site-packages/spe/_spe/winpdb_blender.py "BPY"
---------------------------------------------------------------
   - I guess all these shebangs should be replaced with /usr/bin/python.

* python modules dependency
  - Please check if all python modules related rpms are correctly
    added as "Requires" of this package.
    * As far as I verified the codes (from below), 
----------------------------------------------------------------
$ rpm -ql spe | grep -v /usr/share/doc | LC_ALL=C xargs grep -h 'import ' | grep
-v Binary | sed -e 's|^[ \t][ \t]*||' | sed -e '/^#/d' | sort | uniq
----------------------------------------------------------------
      it seems at least
      "python-imaging tkinter" should be added to Requires:
----------------------------------------------------------------
_spe/sm/wxp/pil.py:	import Image
plugins/pychecker/OptionTypes.py:	import Tkinter
-----------------------------------------------------------------
      however it may be that these dependencies are only optional.

    * Also I could not find out what packages meet the below
      "import" requirements.
-----------------------------------------------------------------
from htmlCss.css  import css
from htmlCss.html import html
import _winreg
import menu
import msvcrt
import psyco
import quixote
-----------------------------------------------------------------

! Documents
  - "COPYING", "NEWS" files are installed under both 
     /usr/lib/python2.5/site-packages/spe/ and /usr/share/doc/spe-<version>
     Not a blocker, however verify if both are needed.

Then:
-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on:
http://fedoraproject.org/PackageReviewStatus/NEW.html
(NOTE: please don't choose "Merge Review")


Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------
Comment 6 MERCIER Jonathan 2008-05-26 11:48:59 EDT
for Shebang
-----------------------------------------------------------------------
!BPY  It tells Blender that this is a Blender script, and therefore it will
consider it when scanning for scripts.
http://en.wikibooks.org/wiki/Blender_3D:_Noob_to_Pro/Advanced_Tutorials/Python_Scripting/Export_scripts

here for this script need use shebang !BPY for blender plugins
Comment 7 Mamoru TASAKA 2008-05-26 13:00:08 EDT
Well, as this script does not have executional permission
they are ignored by /usr/lib/rpm/redhat/find-requires so it
is okay.

So please fix the rest issues.
Comment 8 Mamoru TASAKA 2008-06-02 12:09:22 EDT
ping?
Comment 9 MERCIER Jonathan 2008-06-08 23:16:49 EDT
i put the new spec and src.rpm this week
Comment 10 Pierre-Yves 2008-06-14 10:40:42 EDT
Hi 

I faced the problem on the ln -s in one of my package (pype) recently.
Instead of using the ln -S which I am not really fond of I used:

mkdir -p $RPM_BUILD_ROOT%{_bindir}/
echo "#!/bin/sh
exec python  %{python_sitelib}/%{name}/pype.py" >> 
$RPM_BUILD_ROOT%{_bindir}/%{name}
chmod +x  $RPM_BUILD_ROOT%{_bindir}/%{name}

I do not know what is the best solution, but I prefered that one.
Comment 11 Mamoru TASAKA 2008-06-14 11:31:52 EDT
(In reply to comment #10)
> I faced the problem on the ln -s in one of my package (pype) recently.
> Instead of using the ln -S which I am not really fond of I used:
> 
> mkdir -p $RPM_BUILD_ROOT%{_bindir}/
> echo "#!/bin/sh
> exec python  %{python_sitelib}/%{name}/pype.py" >> 
> $RPM_BUILD_ROOT%{_bindir}/%{name}
> chmod +x  $RPM_BUILD_ROOT%{_bindir}/%{name}
> 
> I do not know what is the best solution, but I prefered that one.

So... how does your comment of this related to this review request?
I don't know what problem you had on your package, and are you sure
that the problem you saw on your package also applies to this package?
(although I am not familiar with this package...)
Comment 12 Pierre-Yves 2008-06-14 12:49:43 EDT
well because the same thing can be applied to this package instead of the ln -s.

Up to both of you to see which one you prefer.
Comment 13 Mamoru TASAKA 2008-06-15 07:51:09 EDT
ping?
Comment 14 Mamoru TASAKA 2008-06-23 11:37:38 EDT
ping again?
Comment 15 Mamoru TASAKA 2008-06-30 12:44:52 EDT
ping again?
Comment 16 Mamoru TASAKA 2008-07-07 02:45:36 EDT
I will close this bug as NOTABUG is no response is received from the reporter
within ONE WEEK.
Comment 17 Mamoru TASAKA 2008-07-14 02:57:15 EDT
Once closing

If someone wants to import this package into Fedora, please submit a new review
request and mark this bug as a duplicate of the new one.

Thank you!
Comment 18 Pierre-YvesChibon 2009-01-22 08:39:43 EST

*** This bug has been marked as a duplicate of bug 481022 ***

Note You need to log in before you can comment on or make changes to this bug.